Package: org.grails.cli.profile

## [Groovy] Interface ProfileCommand

- grails.util.Named

- All Superinterfaces:
    Command, Named

      interface ProfileCommand
      extends Command

  A Command applicable only to a certain Profile

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Profile` | `profile`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract Profile` | `getProfile()` Returns: The profile of the command
    `` | `abstract void` | `setProfile(Profile profile)` Sets the command profile

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Command` | `getDescription, handle`
    `interface Named` | `getName`

- - ### Property Detail

    - #### Profile profile

  - ### Method Detail

    - #### abstract Profile getProfile()

      Returns:
        The profile of the command

    - #### abstract void setProfile(Profile profile)

      Sets the command profile

      Parameters:
        `profile` - The profile